app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/



    Route::get('/', 'HomeController@index');

    Route::get('informatorio/guiartec',function(){
        return redirect('http://159.203.5.192/GuiArtec/default/index-html');
    });

    Route::get('informatorio/informarq',function(){
        return redirect('http://159.203.5.192/InformarQ/default/index');
    });
    Route::get('informatorio/chuwal',function(){
        return redirect('http://159.203.5.192/Chuwal/chuInterface/chuHome');
    });
    Route::get('informatorio/brainchaco',function(){
        return redirect('http://159.203.5.192/BrainChaco/default/index');
    });
    Route::get('informatorio/bienall',function(){
        return redirect('http://159.203.5.192/BienAll/default/index');
    });
    Route::get('informatorio/esqltor',function(){
        return redirect('http://159.203.5.192/esQltoR/default/index');
    });


    Route::get('contacto', 'HomeController@contacto');
    Route::get('empresas', 'HomeController@contactoEmpresa');
    Route::post('consulta', ['as' => 'consulta.store', 'uses' => 'HomeController@consulta']);
    Route::get('registro', ['as' => 'registro', 'uses' => 'HomeController@registrarMapa']);
    Route::post('registro', ['as' => 'store.geolocalizacion', 'uses' => 'HomeController@saveGeolocalizacion']);

    Route::group(['prefix' => 'joveneslideres'], function() {

        Route::get('/', 'HomeController@lideres');
        Route::get('financiamiento', 'HomeController@financiamiento');
        Route::get('agenda', 'HomeController@agenda');
        Route::get('inscripcion', 'HomeController@inscripcion');
        Route::get('contacto', 'HomeController@contacto2');



    });


    Route::get('guia/emprendedores', ['as' => 'guia.emprendedores', 'uses' => 'HomeController@emprendedores']);
    Route::get('emprendimiento/{slug}', ['as' => 'guia.emprendimiento', 'uses' => 'HomeController@emprendimiento']);

    Route::get('guia/oficios', ['as' => 'guia.oficios', 'uses' => 'HomeController@oficios']);
    Route::get('blog', ['as' => 'guia.blog', 'uses' => 'BlogController@get']);
    Route::get('blog/post/{slug}', ['as' => 'guia.blog.post', 'uses' => 'BlogController@getPost']);
    Route::get('mapa', 'HomeController@mapaGeolocalizacion');



    Route::auth();

    Route::get('empresa/{id}', ['as' => 'empresa.show', 'uses' => 'HomeController@getInfoEmpresa']);

    Route::get('puesto/{slug}', ['as' => 'puesto.show', 'uses' => 'HomeController@getPuesto']);

    Route::get('postularse/{id}', ['as' => 'postularse', 'uses' => 'PostulantesController@postularse']);


    Route::get('postulantes/cursos', 'PostulantesController@cursos');
    Route::post('postulantes/cursos', ['as' => 'postulantes.store.curso', 'uses' => 'PostulantesController@storeCurso']);

    Route::get('postulantes/cursos/{id}/edit', ['as' => 'postulantes.edit.cursos', 'uses' => 'PostulantesController@editCurso']);
    Route::put('postulantes/cursos/{id}/update/', ['as' => 'postulantes.update.cursos', 'uses' => 'PostulantesController@updateCurso']);


    Route::get('postulantes/experiencias_laborales', 'PostulantesController@experiencia');
    Route::post('postulantes/experiencias_laborales', ['as' => 'postulantes.store.experiencia', 'uses' => 'PostulantesController@storeExperiencia']);

    Route::get('postulantes/experiencias_laborales/{id}/edit', ['as' => 'postulantes.edit.experiencias_laborales', 'uses' => 'PostulantesController@editExperiencia']);
    Route::put('postulantes/experiencias_laborales/{id}/update/', ['as' => 'postulantes.update.experiencias_laborales', 'uses' => 'PostulantesController@updateExperiencia']);


    Route::get('postulantes/educacion', 'PostulantesController@educacion');
    Route::post('postulantes/educacion', ['as' => 'postulantes.store.educacion', 'uses' => 'PostulantesController@storeEducacion']);

    Route::get('postulantes/educacion/{id}/edit', ['as' => 'postulantes.edit.educacion', 'uses' => 'PostulantesController@editEducacion']);
    Route::put('postulantes/educacion/{id}/update/', ['as' => 'postulantes.update.educacion', 'uses' => 'PostulantesController@updateEducacion']);

    Route::get('postulantes', 'PostulantesController@badroute');

    Route::resource('postulantes', 'PostulantesController',['only' => ['create','store','update']]);

    //Route::get('resultados', 'PostulantesController@busquedas');
    Route::post('busquedas/resultados', ['as' => 'busquedas', 'uses' => 'HomeController@busquedas']);
    Route::get('busquedas/resultados', ['as' => 'busquedas', 'uses' => 'HomeController@busquedasGet']);

    Route::get('busquedas/emprendimientos', ['as' => 'busquedas.emprendimientos', 'uses' => 'HomeController@emprendedores']);
    Route::post('busquedas/emprendimientos', ['as' => 'busquedas.emprendimientos', 'uses' => 'HomeController@buscarEmprendimientos']);

    Route::get('busquedas/oficios', ['as' => 'busquedas.oficios', 'uses' => 'HomeController@oficios']);
    Route::post('busquedas/oficios', ['as' => 'busquedas.oficios', 'uses' => 'HomeController@buscarOficios']);
    Route::get('oficios/{id}', ['as' => 'oficio.ver', 'uses' => 'HomeController@getOficio']);


    Route::get('gestion/login', 'UsuariosController@getLogin');
    Route::get('admin', 'UsuariosController@getLogin');
    Route::post('gestion/authenticate', 'UsuariosController@authenticate');

    Route::post('rating', ['as' => 'rating', 'uses' => 'HomeController@rating']);



    Route::group(['prefix' => 'admin','middleware' => 'administrador'], function() {

        Route::get('galeria/delete/{id}/{emp}', ['as' => 'admin.galeria.delete', 'uses' => 'EmprendedoresController@eliminarImagen']);

        Route::post('upload', ['as' => 'upload-post', 'uses' =>'ImageController@postUpload']);
        Route::post('upload/delete', ['as' => 'upload-remove', 'uses' =>'ImageController@deleteUpload']);


        Route::get('dashboard', ['as' => 'admin.dashboard', 'uses' => 'HomeController@dashboard']);

        //mapa
        Route::get('geolocalizacion', ['as' => 'admin.puntos', 'uses' => 'MapasController@index']);
        Route::get('geolocalizacion/{id}/activar', ['as' => 'admin.puntos.activar', 'uses' => 'MapasController@activar']);
        Route::get('geolocalizacion/{id}/eliminar', ['as' => 'admin.puntos.destroy', 'uses' => 'MapasController@destroy']);

        Route::get('categorias-emprendedores/{id}/destroy', ['as' => 'admin.categorias-emprendedores.delete', 'uses' => 'CatEmprendedoresController@destroy']);

        Route::resource('emprendedores', 'EmprendedoresController');
        Route::resource('categorias-emprendedores', 'CatEmprendedoresController');

        Route::get('consultas/{id}/show', ['as' => 'admin.consultas.show', 'uses' => 'UsuariosController@getConsultas']);
        Route::get('oficios/{id}/destroy', ['as' => 'admin.oficios.delete', 'uses' => 'OficiosController@destroy']);
        Route::get('categorias-oficios/{id}/destroy', ['as' => 'admin.categorias-oficios.delete', 'uses' => 'CatOficiosController@destroy']);


        Route::resource('oficios', 'OficiosController');
        Route::resource('categorias-oficios', 'CatOficiosController');


        Route::resource('empresas', 'EmpresasController');
        Route::resource('areas', 'AreasController');
        Route::resource('ofertas', 'OfertasController');
        Route::resource('categorias-oficios', 'CatOficiosController');
        Route::resource('blog', 'BlogController',['only' => ['index','create','store','update','edit','destroy']]);
        Route::get('blog/{id}/destroy', ['as' => 'admin.blog.destroy', 'uses' => 'BlogController@destroy']);


        Route::get('consultas', ['as' => 'admin.consultas', 'uses' => 'HomeController@getConsultas']);
        Route::get('ofertas/{id}/destroy', ['as' => 'admin.ofertas.destroy', 'uses' => 'OfertasController@destroy']);
        Route::get('ofertas/destacar/{id}', ['as' => 'admin.ofertas.destacar', 'uses' => 'OfertasController@destacar']);
        Route::get('ofertas/nodestacar/{id}', ['as' => 'admin.ofertas.nodestacar', 'uses' => 'OfertasController@noDestacar']);

        //gestion de usuarios
        Route::get('usuarios', ['as' => 'admin.usuarios', 'uses' => 'UsuariosController@index']);
        Route::get('usuarios/nuevo', ['as' => 'admin.usuarios.nuevo', 'uses' => 'UsuariosController@crearUsuario']);
        Route::get('usuarios/{id}/edit', ['as' => 'admin.usuarios.edit', 'uses' => 'UsuariosController@edit']);

        Route::post('usuarios/store', ['as' => 'admin.usuarios.store', 'uses' => 'UsuariosController@store']);
        Route::put('usuarios/update/{id}', ['as' => 'admin.usuarios.update', 'uses' => 'UsuariosController@update']);


        Route::get('postulantes', ['as' => 'admin.postulantes', 'uses' => 'PostulantesController@index']);
        Route::get('postulantes/{id}/show', ['as' => 'admin.postulantes.show', 'uses' => 'PostulantesController@show']);
        Route::get('postulantes/{id}/destroy', ['as' => 'admin.postulantes.destroy', 'uses' => 'PostulantesController@destroy']);
        Route::get('postulados', ['as' => 'admin.postulados', 'uses' => 'PostuladosController@index']);

        Route::get('empresas/{id}/destroy', ['as' => 'admin.empresas.destroy', 'uses' => 'EmpresasController@destroy']);
        Route::get('emprendedores/{id}/destroy', ['as' => 'admin.emprendedores.destroy', 'uses' => 'EmprendedoresController@destroy']);

        // agregar localidad y provincia a ofertas
        // hacer vista de oferta
        // arreglar msjs de eventos
        // que hacemos con las imagenes??

        // usuarios vistas desde el back


        // armar postularse a oferta!

app/Blog.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Intervention\Image\Facades\Image;

class Blog extends Model
{
    protected $table = 'blog';

    protected $fillable = ['titulo','cuerpo','estado_id','imagen','slug','bajada'];


    public function guardar($request){

        $nombre = $this->cargarImagen($request);

        Blog::create(['titulo'=>$request->titulo,
            'cuerpo'=>$request->cuerpo,
            'bajada'=>$request->bajada,
            'estado_id'=>$request->estado_id,
            'imagen'=> $nombre,
            'slug'=>str_slug($request->titulo),
        ]);
    }


    public function actualizar($request,$id){

        $nombre = $this->cargarImagen($request);

        $check = Blog::find($id);

        if($nombre == NULL){
                $nombre = $check->imagen;
        }

        Blog::find($id)->update(['titulo'=>$request->titulo,
            'cuerpo'=>$request->cuerpo,
            'bajada'=>$request->bajada,
            'estado_id'=>$request->estado_id,
            'imagen'=>$nombre,
            'slug'=>str_slug($request->titulo),
        ]);

    }

    public static function cargarImagen($request){

        $nombre = NULL;

        if($request->imagen){

            $nombre =  rand(10000,99999).'.'.$request->imagen->getClientOriginalExtension();

            Image::make($request->imagen)->save('images/articulos/'. $nombre);
            Image::make($request->imagen)->resize(360,240)->save('images/articulos/thumb/'. $nombre);

        }

        return $nombre;

    }
}

app/Http/Controllers/BlogController.php
<?php

namespace App\Http\Controllers;

use App\Blog;
use Illuminate\Http\Request;
use App\Http\Requests\BlogFormRequest;

use App\Http\Requests;

class BlogController extends Controller
{
    public function index(){

        $blog = Blog::where('deleted_at','=',NULL)->orderBy('id','DESC')->get();


        return view('blog.index',compact('blog'));
    }


    public function create(){

        $estado = ['1' => 'Publicado'];
        return view('blog.create',compact('estado'));
    }

    public function store(BlogFormRequest $request){

       $blog = (new Blog())->guardar($request);

        flash('Nuevo articulo!');

        return redirect('admin/blog');
        
    }

    public function get(){

        $blog = Blog::where('deleted_at','=',NULL)->orderBy('id','DESC')->paginate(6);


        return view('blog.show',compact('blog'));
    }

    public function getPost($slug){

        $blog = Blog::where('slug','=',$slug)->first();

        return view('blog.post',compact('blog'));

    }

    public function edit($id){
        $blog = Blog::find($id);

        $estado = ['1' => 'Publicado'];

        return view('blog.edit',compact('blog','estado'));
    }
    
    public function update(BlogFormRequest $request, $id){
        
        $blog = (new Blog())->actualizar($request,$id);

        flash('Articulo actualizado!');

        return redirect('admin/blog');
    }

    public function destroy($id){

        $dt = new \DateTime();

        Blog::where('id',$id)->update(['deleted_at'=>$dt->format('Y-m-d H:i:s')]);

        flash('Articulo deshabilitado!','danger');

        return redirect('admin/blog');
    }


}

resources/views/blog/create.blade.php
@extends('template.admin_template')

@section('titulo')
    Nuevo Articulo
    <small>{{ $page_description or null }}</small>
@endsection

@section('ubicacion')
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Articulos</a></li>
        <li class="active">Nuevo</li>
    </ol>
@endsection

@section('content')
    <div class='row'>
        <div class='col-md-12s'>
            <!-- Box -->
            <div class="box box-info">
                <div class="box-header with-border">
                    @if ($errors->any())
                        <div class="alert alert-danger alert-dismissable">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <h4><i class="icon fa fa-ban"></i> Atencion!</h4>

                            @foreach ( $errors->all() as $error )
                                <p>{{ $error }}</p>
                            @endforeach
                        </div>
                    @endif
                </div><!-- /.box-header -->
                <!-- form start -->
                {!! Form::open(array('route' => 'admin.blog.store', 'class' => 'form-horizontal','files'=>'true')) !!}
                <div class="box-body">
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Titulo</label>
                        <div class="col-sm-8">
                            {!! Form::text('titulo', null, ['class' => 'form-control'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Bajada</label>
                        <div class="col-sm-8">
                            {!! Form::text('bajada', null, ['class' => 'form-control'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Estado</label>
                        <div class="col-sm-6">
                            {!! Form::select('estado_id', $estado ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Imagen</label>
                        <div class="col-sm-6">
                            {!! Form::file('imagen') !!}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Cuerpo</label>
                        <div class="col-sm-10">
                            {!! Form::textarea('cuerpo', null, ['class' => 'form-control','id'=>'editor1'])!!}
                        </div>
                    </div>
                    <div class="box-footer">
                        <button type="submit" class="btn btn-default">Cancelar</button>
                        <button type="submit" class="btn btn-info pull-right">Guardar</button>
                    </div><!-- /.box-footer -->
                    </form>
                </div>
            </div><!-- /.col -->

        </div><!-- /.row -->
    </div>

@endsection
@section('recursos')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
    <script>
        $(function() {
            $.datepicker.regional['es'] = {
                closeText: 'Cerrar',
                prevText: '<Ant',
                nextText: 'Sig>',
                currentText: 'Hoy',
                monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
                dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
                dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
                weekHeader: 'Sm',
                dateFormat: 'yy-mm-dd',
                firstDay: 1,
                isRTL: false,
                showMonthAfterYear: false,
                yearSuffix: ''
            };
            $.datepicker.setDefaults($.datepicker.regional['es']);
            $( "#datepicker2" ).datepicker({
                changeMonth: true,
                changeYear: true,
                yearRange: '1950:2016'
            });

        });
    </script>
    <script src="https://cdn.ckeditor.com/4.4.3/standard/ckeditor.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            CKEDITOR.replace('editor1');
            $(".textarea").wysihtml5();
        });
    </script>



@endsection

resources/views/blog/edit.blade.php
@extends('template.admin_template')

@section('titulo')
    Nuevo Articulo
    <small>{{ $page_description or null }}</small>
@endsection

@section('ubicacion')
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Articulos</a></li>
        <li class="active">Nuevo</li>
    </ol>
@endsection

@section('content')
    <div class='row'>
        <div class='col-md-12s'>
            <!-- Box -->
            <div class="box box-info">
                <div class="box-header with-border">
                    @if ($errors->any())
                        <div class="alert alert-danger alert-dismissable">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <h4><i class="icon fa fa-ban"></i> Atencion!</h4>

                            @foreach ( $errors->all() as $error )
                                <p>{{ $error }}</p>
                            @endforeach
                        </div>
                    @endif
                </div><!-- /.box-header -->
                <!-- form start -->
                {!! Form::model($blog, array('method' => 'PUT', 'route' => array('admin.blog.update', $blog->id), 'class' => 'form-horizontal', 'files'=>'true')) !!}

                <div class="box-body">
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Titulo</label>
                        <div class="col-sm-8">
                            {!! Form::text('titulo', null, ['class' => 'form-control'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Bajada</label>
                        <div class="col-sm-8">
                            {!! Form::text('bajada', null, ['class' => 'form-control'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Estado</label>
                        <div class="col-sm-6">
                            {!! Form::select('estado_id', $estado ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Imagen</label>
                        <div class="col-sm-6">
                            {!! Form::file('imagen') !!}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Cuerpo</label>
                        <div class="col-sm-10">
                            {!! Form::textarea('cuerpo', null, ['class' => 'form-control','id'=>'editor1'])!!}
                        </div>
                    </div>
                    <div class="box-footer">
                        <button type="submit" class="btn btn-default">Cancelar</button>
                        <button type="submit" class="btn btn-info pull-right">Guardar</button>
                    </div><!-- /.box-footer -->
                    </form>
                </div>
            </div><!-- /.col -->

        </div><!-- /.row -->
    </div>

@endsection
@section('recursos')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
    <script>
        $(function() {
            $.datepicker.regional['es'] = {
                closeText: 'Cerrar',
                prevText: '<Ant',
                nextText: 'Sig>',
                currentText: 'Hoy',
                monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
                dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
                dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
                weekHeader: 'Sm',
                dateFormat: 'yy-mm-dd',
                firstDay: 1,
                isRTL: false,
                showMonthAfterYear: false,
                yearSuffix: ''
            };
            $.datepicker.setDefaults($.datepicker.regional['es']);
            $( "#datepicker2" ).datepicker({
                changeMonth: true,
                changeYear: true,
                yearRange: '1950:2016'
            });

        });
    </script>
    <script src="https://cdn.ckeditor.com/4.4.3/standard/ckeditor.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            CKEDITOR.replace('editor1');
            $(".textarea").wysihtml5();
        });
    </script>



@endsection

resources/views/blog/index.blade.php
@extends('template.admin_template')

@section('titulo')
    Articulos
    <small>{{ $page_description or null }}</small>
@endsection

@section('ubicacion')
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Articulos</a></li>
        <li class="active">Grid</li>
    </ol>
@endsection

@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-2">
                <a href="{{ route('admin.blog.create') }}" class="btn btn-block btn-success">Nuevo</a>
            </div>
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title"></h3>
                    </div><!-- /.box-header -->
                    <div id="bodyContenido" >
                        <table id="example2" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>Titulo</th>
                                <th>Fecha</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                            @include('layouts.flash')
                            @foreach($blog as $row)
                                <tr>
                                    <td>{{ $row->titulo }}</td>
                                    <td>{{ $row->created_at->format('d/m/Y') }}</td>
                                    <td>
                                        <a href="{{ route('admin.blog.edit',$row->id) }}" class="btn btn-warning btn-sm"><i class="fa fa-fw fa-edit"></i></a>
                                        <a href="{{ route('admin.blog.destroy',$row->id) }}" onclick="return confirm('Seguro que desea eliminar el articulo ?')" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-remove"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>

                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->
            </div><!-- /.col -->
        </div><!-- /.row -->
    </section><!-- /.content -->
@endsection
@section('recursos')
    <!-- DATA TABES SCRIPT -->
    <script src="{{ asset('bower_components/admin-lte/plugins/datatables/jquery.dataTables.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('bower_components/admin-lte/plugins/datatables/dataTables.bootstrap.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/js/sweetalert-dev.js') }}" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#example1").DataTable();
            $('#example2').DataTable({
                "paging": false,
                "lengthChange": false,
                "searching": true,
                "ordering": false,
                "autoWidth": false,
                "oLanguage": {
                    "sSearch": "Filtro: ",
                    "sInfoEmpty": 'No hay registros que mostrar ',
                    "sInfo": 'Mostrando _END_ filas.',
                }
            });
        });
    </script>

@endsection

resources/views/blog/post.blade.php
@extends('layouts.master')
@section('meta')
    <meta property="og:title" content="{{ $blog->titulo  }}" />
    <meta property="og:description" content="{{ url(Request::path()) }}" />
    <meta property="og:type" content="article" />
    <meta property="og:image" content="{{ url('images/articulos/'. $blog->imagen) }}" />
    <meta name="image" content="{{ url('images/articulos/'. $blog->imagen) }}">
@endsection

@section('style')
    <link href="{{ url('css/custom2.css')  }}" rel="stylesheet" type="text/css">
@endsection



@section('content')

    <section id="inner-banner">

        <div class="container">

            <h1>Noticias</h1>

        </div>

    </section>

<section class="post-section blog-post">

    <div class="container">

        <div class="row">
            <div class="col-md-9 col-sm-8">
                <div class="post-box">
                    <div class="frame"><img src="{{ url('images/articulos/'. $blog->imagen) }}" alt="img"></div>
                    <div class="text-box">
                        <div class="clearfix"> <strong class="date"><i class="fa fa-calendar"></i>Mar 17, 2016 </strong> </div>
                        <h4>{{ $blog->titulo }}</h4>
                        <p>{!! $blog->cuerpo !!}</p>
                    </div>
                </div>

            </div>
        </div>

    </div>

</section>

<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-56964ab060ce6290" async="async"></script>

@endsection

resources/views/blog/show.blade.php
@extends('layouts.master')
@section('style')
    <link href="{{ url('css/custom2.css')  }}" rel="stylesheet" type="text/css">
@endsection

@section('content')


    <section class="post-section blog-post">

    <div class="container">

        <div class="row">

            @foreach($blog as $row)
                <div class="col-md-4 col-sm-6">

                    <div class="post-box">

                        <div class="frame"><a href="{{ route('guia.blog.post',$row->slug)  }}"><img src="{{ url('images/articulos/thumb/'.$row->imagen) }}" alt="img"></a></div>

                        <div class="text-box"> <strong class="date"><i class="fa fa-calendar"></i>{{ $row->created_at->format('d/m/Y') }}</strong>

                            <h4><a href="{{ route('guia.blog.post',$row->slug)  }}">{{ $row->titulo }}</a></h4>


                    </div>

                    </div>
                </div>

            @endforeach



        <!--PAGINATION SECTION START-->

                {{ $blog->links() }}

        <!--PAGINATION SECTION END-->



    </div>

</section>

@endsection